Bug 1721671 - mraa fails to build in Fedora rawhide/31 (blocks the Python 3.8 rebuild)
Summary: mraa fails to build in Fedora rawhide/31 (blocks the Python 3.8 rebuild)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mraa
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Peter Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: F31FTBFS F32FTBFS F32FailsToInstall PYTHON38 F32FinalFreezeException 1719968 1732841 1736936 1773380 PYTHON39
TreeView+ depends on / blocked
 
Reported: 2019-06-18 20:37 UTC by Miro Hrončok
Modified: 2020-04-25 03:01 UTC (History)
5 users (show)

Fixed In Version: mraa-2.1.0-1.fc32 mraa-2.1.0-1.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-23 18:02:22 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github intel-iot-devkit mraa issues 969 None open Build failure with Node.js 12.x 2020-04-27 13:52:54 UTC

Description Miro Hrončok 2019-06-18 20:37:22 UTC
mraa fails to build:

[ 33%] Built target mraa
make -f src/python/python3/CMakeFiles/_python3-mraa.dir/build.make src/python/python3/CMakeFiles/_python3-mraa.dir/depend
make -f src/javascript/CMakeFiles/mraajs.dir/build.make src/javascript/CMakeFiles/mraajs.dir/depend
make[2]: Entering directory '/builddir/build/BUILD/mraa-2.0.0'
cd /builddir/build/BUILD/mraa-2.0.0 && /usr/bin/cmake -E cmake_depends "Unix Makefiles" /builddir/build/BUILD/mraa-2.0.0 /builddir/build/BUILD/mraa-2.0.0/src/javascript /builddir/build/BUILD/mraa-2.0.0 /builddir/build/BUILD/mraa-2.0.0/src/javascript /builddir/build/BUILD/mraa-2.0.0/src/javascript/CMakeFiles/mraajs.dir/DependInfo.cmake --color=
make[2]: Entering directory '/builddir/build/BUILD/mraa-2.0.0'
cd /builddir/build/BUILD/mraa-2.0.0 && /usr/bin/cmake -E cmake_depends "Unix Makefiles" /builddir/build/BUILD/mraa-2.0.0 /builddir/build/BUILD/mraa-2.0In file included from /builddir/build/BUILD/mraa-2.0.0/src/python/python3/CMakeFiles/_python3-mraa.dir/mraa3PYTHON_wrap.cxx:3069:
/builddir/build/BUILD/mraa-2.0.0/api/mraa/gpio.hpp: In member function 'mraa::Result mraa::Gpio::useMmap(bool)':
/builddir/build/BUILD/mraa-2.0.0/api/mraa/gpio.hpp:317:77: warning: 'mraa_result_t mraa_gpio_use_mmaped(mraa_gpio_context, mraa_boolean_t)' is deprecated [-Wdeprecated-declarations]
  317 |         return (Result) mraa_gpio_use_mmaped(m_gpio, (mraa_boolean_t) enable);
      |                                                                             ^
In file included from /builddir/build/BUILD/mraa-2.0.0/api/mraa/gpio.hpp:27,
                 from /builddir/build/BUILD/mraa-2.0.0/src/python/python3/CMakeFiles/_python3-mraa.dir/mraa3PYTHON_wrap.cxx:3069:
/builddir/build/BUILD/mraa-2.0.0/api/mraa/gpio.h:279:26: note: declared here
  279 | DEPRECATED mraa_result_t mraa_gpio_use_mmaped(mraa_gpio_context dev, mraa_boolean_t mmap);
      |                          ^~~~~~~~~~~~~~~~~~~~
In file included from /builddir/build/BUILD/mraa-2.0.0/src/python/python3/CMakeFiles/_python3-mraa.dir/mraa3PYTHON_wrap.cxx:3069:
/builddir/build/BUILD/mraa-2.0.0/api/mraa/gpio.hpp:317:77: warning: 'mraa_result_t mraa_gpio_use_mmaped(mraa_gpio_context, mraa_boolean_t)' is deprecated [-Wdeprecated-declarations]
  317 |         return (Result) mraa_gpio_use_mmaped(m_gpio, (mraa_boolean_t) enable);
      |                                                                             ^
In file included from /builddir/build/BUILD/mraa-2.0.0/api/mraa/gpio.hpp:27,
                 from /builddir/build/BUILD/mraa-2.0.0/src/python/python3/CMakeFiles/_python3-mraa.dir/mraa3PYTHON_wrap.cxx:3069:
/builddir/build/BUILD/mraa-2.0.0/api/mraa/gpio.h:279:26: note: declared here
  279 | DEPRECATED mraa_result_t mraa_gpio_use_mmaped(mraa_gpio_context dev, mraa_boolean_t mmap);
      |                          ^~~~~~~~~~~~~~~~~~~~
/builddir/build/BUILD/mraa-2.0.0/src/javascript/CMakeFiles/mraajs.dir/mraajsJAVASCRIPT_wrap.cxx: In function 'v8::Handle<v8::Value> SWIG_V8_NewPointerObj(void*, swig_type_info*, int)':
/builddir/build/BUILD/mraa-2.0.0/src/javascript/CMakeFiles/mraajs.dir/mraajsJAVASCRIPT_wrap.cxx:1188:79: error: no matching function for call to 'v8::ObjectTemplate::NewInstance()'
 1188 |   v8::Local<v8::Object> result = class_templ->InstanceTemplate()->NewInstance();
      |                                                                               ^
In file included from /usr/include/node/node.h:63,
                 from /builddir/build/BUILD/mraa-2.0.0/src/javascript/CMakeFiles/mraajs.dir/mraajsJAVASCRIPT_wrap.cxx:171:
/usr/include/node/v8.h:6244:44: note: candidate: 'v8::MaybeLocal<v8::Object> v8::ObjectTemplate::NewInstance(v8::Local<v8::Context>)'
 6244 |   V8_WARN_UNUSED_RESULT MaybeLocal<Object> NewInstance(Local<Context> context);
      |                                            ^~~~~~~~~~~
/usr/include/node/v8.h:6244:44: note:   candidate expects 1 argument, 0 provided
/builddir/build/BUILD/mraa-2.0.0/src/javascript/CMakeFiles/mraajs.dir/mraajsJAVASCRIPT_wrap.cxx: In function 'void SWIGV8_AddStaticFunction(v8::Handle<v8::Object>, const char*, void (* const&)(const v8::FunctionCallbackInfo<v8::Value>&))':
/builddir/build/BUILD/mraa-2.0.0/src/javascript/CMakeFiles/mraajs.dir/mraajsJAVASCRIPT_wrap.cxx:1513:83: error: no matching function for call to 'v8::FunctionTemplate::GetFunction()'
 1513 |   obj->Set(SWIGV8_SYMBOL_NEW(symbol), SWIGV8_FUNCTEMPLATE_NEW(_func)->GetFunction());
      |                                                                                   ^
In file included from /usr/include/node/node.h:63,
                 from /builddir/build/BUILD/mraa-2.0.0/src/javascript/CMakeFiles/mraajs.dir/mraajsJAVASCRIPT_wrap.cxx:171:
/usr/include/node/v8.h:5947:46: note: candidate: 'v8::MaybeLocal<v8::Function> v8::FunctionTemplate::GetFunction(v8::Local<v8::Context>)'
 5947 |   V8_WARN_UNUSED_RESULT MaybeLocal<Function> GetFunction(
      |                                              ^~~~~~~~~~~
/usr/include/node/v8.h:5947:46: note:   candidate expects 1 argument, 0 provided
/builddir/build/BUILD/mraa-2.0.0/src/javascript/CMakeFiles/mraajs.dir/mraajsJAVASCRIPT_wrap.cxx: In function 'void SWIGV8_AddStaticVariable(v8::Handle<v8::Object>, const char*, SwigV8AccessorGetterCallback, SwigV8AccessorSetterCallback)':
/builddir/build/BUILD/mraa-2.0.0/src/javascript/CMakeFiles/mraajs.dir/mraajsJAVASCRIPT_wrap.cxx:1524:87: warning: ignoring return value of 'v8::Maybe<bool> v8::Object::SetAccessor(v8::Local<v8::Context>, v8::Local<v8::Name>, v8::AccessorNameGetterCallback, v8::AccessorNameSetterCallback, v8::MaybeLocal<v8::Value>, v8::AccessControl, v8::PropertyAttribute, v8::SideEffectType, v8::SideEffectType)', declared with attribute warn_unused_result [-Wunused-result]
 1524 |   obj->SetAccessor(SWIGV8_CURRENT_CONTEXT(), SWIGV8_SYMBOL_NEW(symbol), getter, setter);
      |                                                                                       ^
In file included from /usr/include/node/node.h:63,
                 from /builddir/build/BUILD/mraa-2.0.0/src/javascript/CMakeFiles/mraajs.dir/mraajsJAVASCRIPT_wrap.cxx:171:
/usr/include/node/v8.h:3463:37: note: declared here
 3463 |   V8_WARN_UNUSED_RESULT Maybe<bool> SetAccessor(
      |                                     ^~~~~~~~~~~
In file included from /builddir/build/BUILD/mraa-2.0.0/src/javascript/CMakeFiles/mraajs.dir/mraajsJAVASCRIPT_wrap.cxx:1776:
/builddir/build/BUILD/mraa-2.0.0/api/mraa/gpio.hpp: In static member function 'static void mraa::Gpio::v8isr(uv_work_t*, int)':
/builddir/build/BUILD/mraa-2.0.0/api/mraa/gpio.hpp:176:63: error: no matching function for call to 'v8::Function::Call(v8::Local<v8::Object>, int&, v8::Local<v8::Value> [1])'
  176 |         f->Call(SWIGV8_CURRENT_CONTEXT()->Global(), argc, argv);
      |                                                               ^
In file included from /usr/include/node/node.h:63,
                 from /builddir/build/BUILD/mraa-2.0.0/src/javascript/CMakeFiles/mraajs.dir/mraajsJAVASCRIPT_wrap.cxx:171:
/usr/include/node/v8.h:4148:43: note: candidate: 'v8::MaybeLocal<v8::Value> v8::Function::Call(v8::Local<v8::Context>, v8::Local<v8::Value>, int, v8::Local<v8::Value>*)'
 4148 |   V8_WARN_UNUSED_RESULT MaybeLocal<Value> Call(Local<Context> context,
      |                                           ^~~~
/usr/include/node/v8.h:4148:43: note:   candidate expects 4 arguments, 3 provided
In file included from /builddir/build/BUILD/mraa-2.0.0/src/javascript/CMakeFiles/mraajs.dir/mraajsJAVASCRIPT_wrap.cxx:1776:
/builddir/build/BUILD/mraa-2.0.0/api/mraa/gpio.hpp: In member function 'mraa::Result mraa::Gpio::useMmap(bool)':
/builddir/build/BUILD/mraa-2.0.0/api/mraa/gpio.hpp:317:77: warning: 'mraa_result_t mraa_gpio_use_mmaped(mraa_gpio_context, mraa_boolean_t)' is deprecated [-Wdeprecated-declarations]
  317 |         return (Result) mraa_gpio_use_mmaped(m_gpio, (mraa_boolean_t) enable);
      |                                                                             ^
In file included from /builddir/build/BUILD/mraa-2.0.0/api/mraa/gpio.hpp:27,
                 from /builddir/build/BUILD/mraa-2.0.0/src/javascript/CMakeFiles/mraajs.dir/mraajsJAVASCRIPT_wrap.cxx:1776:
/builddir/build/BUILD/mraa-2.0.0/api/mraa/gpio.h:279:26: note: declared here
  279 | DEPRECATED mraa_result_t mraa_gpio_use_mmaped(mraa_gpio_context dev, mraa_boolean_t mmap);
      |                          ^~~~~~~~~~~~~~~~~~~~
In file included from /builddir/build/BUILD/mraa-2.0.0/src/javascript/CMakeFiles/mraajs.dir/mraajsJAVASCRIPT_wrap.cxx:1776:
/builddir/build/BUILD/mraa-2.0.0/api/mraa/gpio.hpp:317:77: warning: 'mraa_result_t mraa_gpio_use_mmaped(mraa_gpio_context, mraa_boolean_t)' is deprecated [-Wdeprecated-declarations]
  317 |         return (Result) mraa_gpio_use_mmaped(m_gpio, (mraa_boolean_t) enable);
      |                                                                             ^
In file included from /builddir/build/BUILD/mraa-2.0.0/api/mraa/gpio.hpp:27,
                 from /builddir/build/BUILD/mraa-2.0.0/src/javascript/CMakeFiles/mraajs.dir/mraajsJAVASCRIPT_wrap.cxx:1776:
/builddir/build/BUILD/mraa-2.0.0/api/mraa/gpio.h:279:26: note: declared here
  279 | DEPRECATED mraa_result_t mraa_gpio_use_mmaped(mraa_gpio_context dev, mraa_boolean_t mmap);
      |                          ^~~~~~~~~~~~~~~~~~~~
/builddir/build/BUILD/mraa-2.0.0/src/javascript/CMakeFiles/mraajs.dir/mraajsJAVASCRIPT_wrap.cxx: In function 'void mraa_initialize(v8::Handle<v8::Object>, v8::Handle<v8::Object>)':
/builddir/build/BUILD/mraa-2.0.0/src/javascript/CMakeFiles/mraajs.dir/mraajsJAVASCRIPT_wrap.cxx:12376:91: error: no matching function for call to 'v8::FunctionTemplate::GetFunction()'
12376 | v8::Handle<v8::Object> _exports_uint8Array_obj = _exports_uint8Array_class_0->GetFunction();
      |                                                                                           ^
In file included from /usr/include/node/node.h:63,
                 from /builddir/build/BUILD/mraa-2.0.0/src/javascript/CMakeFiles/mraajs.dir/mraajsJAVASCRIPT_wrap.cxx:171:
/usr/include/node/v8.h:5947:46: note: candidate: 'v8::MaybeLocal<v8::Function> v8::FunctionTemplate::GetFunction(v8::Local<v8::Context>)'
 5947 |   V8_WARN_UNUSED_RESULT MaybeLocal<Function> GetFunction(
      |                                              ^~~~~~~~~~~
/usr/include/node/v8.h:5947:46: note:   candidate expects 1 argument, 0 provided
/builddir/build/BUILD/mraa-2.0.0/src/javascript/CMakeFiles/mraajs.dir/mraajsJAVASCRIPT_wrap.cxx:12382:79: error: no matching function for call to 'v8::FunctionTemplate::GetFunction()'
12382 | v8::Handle<v8::Object> _exports_Gpio_obj = _exports_Gpio_class_0->GetFunction();
      |                                                                               ^
In file included from /usr/include/node/node.h:63,
                 from /builddir/build/BUILD/mraa-2.0.0/src/javascript/CMakeFiles/mraajs.dir/mraajsJAVASCRIPT_wrap.cxx:171:
/usr/include/node/v8.h:5947:46: note: candidate: 'v8::MaybeLocal<v8::Function> v8::FunctionTemplate::GetFunction(v8::Local<v8::Context>)'
 5947 |   V8_WARN_UNUSED_RESULT MaybeLocal<Function> GetFunction(
      |                                              ^~~~~~~~~~~
/usr/include/node/v8.h:5947:46: note:   candidate expects 1 argument, 0 provided
/builddir/build/BUILD/mraa-2.0.0/src/javascript/CMakeFiles/mraajs.dir/mraajsJAVASCRIPT_wrap.cxx:12388:77: error: no matching function for call to 'v8::FunctionTemplate::GetFunction()'
12388 | v8::Handle<v8::Object> _exports_I2c_obj = _exports_I2c_class_0->GetFunction();
      |                                                                             ^
In file included from /usr/include/node/node.h:63,
                 from /builddir/build/BUILD/mraa-2.0.0/src/javascript/CMakeFiles/mraajs.dir/mraajsJAVASCRIPT_wrap.cxx:171:
/usr/include/node/v8.h:5947:46: note: candidate: 'v8::MaybeLocal<v8::Function> v8::FunctionTemplate::GetFunction(v8::Local<v8::Context>)'
 5947 |   V8_WARN_UNUSED_RESULT MaybeLocal<Function> GetFunction(
      |                                              ^~~~~~~~~~~
/usr/include/node/v8.h:5947:46: note:   candidate expects 1 argument, 0 provided
/builddir/build/BUILD/mraa-2.0.0/src/javascript/CMakeFiles/mraajs.dir/mraajsJAVASCRIPT_wrap.cxx:12394:77: error: no matching function for call to 'v8::FunctionTemplate::GetFunction()'
12394 | v8::Handle<v8::Object> _exports_Pwm_obj = _exports_Pwm_class_0->GetFunction();
      |                                                                             ^
In file included from /usr/include/node/node.h:63,
                 from /builddir/build/BUILD/mraa-2.0.0/src/javascript/CMakeFiles/mraajs.dir/mraajsJAVASCRIPT_wrap.cxx:171:
/usr/include/node/v8.h:5947:46: note: candidate: 'v8::MaybeLocal<v8::Function> v8::FunctionTemplate::GetFunction(v8::Local<v8::Context>)'
 5947 |   V8_WARN_UNUSED_RESULT MaybeLocal<Function> GetFunction(
      |                                              ^~~~~~~~~~~
/usr/include/node/v8.h:5947:46: note:   candidate expects 1 argument, 0 provided
/builddir/build/BUILD/mraa-2.0.0/src/javascript/CMakeFiles/mraajs.dir/mraajsJAVASCRIPT_wrap.cxx:12400:77: error: no matching function for call to 'v8::FunctionTemplate::GetFunction()'
12400 | v8::Handle<v8::Object> _exports_Spi_obj = _exports_Spi_class_0->GetFunction();
      |                                                                             ^
In file included from /usr/include/node/node.h:63,
                 from /builddir/build/BUILD/mraa-2.0.0/src/javascript/CMakeFiles/mraajs.dir/mraajsJAVASCRIPT_wrap.cxx:171:
/usr/include/node/v8.h:5947:46: note: candidate: 'v8::MaybeLocal<v8::Function> v8::FunctionTemplate::GetFunction(v8::Local<v8::Context>)'
 5947 |   V8_WARN_UNUSED_RESULT MaybeLocal<Function> GetFunction(
      |                                              ^~~~~~~~~~~
/usr/include/node/v8.h:5947:46: note:   candidate expects 1 argument, 0 provided
/builddir/build/BUILD/mraa-2.0.0/src/javascript/CMakeFiles/mraajs.dir/mraajsJAVASCRIPT_wrap.cxx:12406:77: error: no matching function for call to 'v8::FunctionTemplate::GetFunction()'
12406 | v8::Handle<v8::Object> _exports_Aio_obj = _exports_Aio_class_0->GetFunction();
      |                                                                             ^
In file included from /usr/include/node/node.h:63,
                 from /builddir/build/BUILD/mraa-2.0.0/src/javascript/CMakeFiles/mraajs.dir/mraajsJAVASCRIPT_wrap.cxx:171:
/usr/include/node/v8.h:5947:46: note: candidate: 'v8::MaybeLocal<v8::Function> v8::FunctionTemplate::GetFunction(v8::Local<v8::Context>)'
 5947 |   V8_WARN_UNUSED_RESULT MaybeLocal<Function> GetFunction(
      |                                              ^~~~~~~~~~~
/usr/include/node/v8.h:5947:46: note:   candidate expects 1 argument, 0 provided
/builddir/build/BUILD/mraa-2.0.0/src/javascript/CMakeFiles/mraajs.dir/mraajsJAVASCRIPT_wrap.cxx:12412:79: error: no matching function for call to 'v8::FunctionTemplate::GetFunction()'
12412 | v8::Handle<v8::Object> _exports_Uart_obj = _exports_Uart_class_0->GetFunction();
      |                                                                               ^
In file included from /usr/include/node/node.h:63,
                 from /builddir/build/BUILD/mraa-2.0.0/src/javascript/CMakeFiles/mraajs.dir/mraajsJAVASCRIPT_wrap.cxx:171:
/usr/include/node/v8.h:5947:46: note: candidate: 'v8::MaybeLocal<v8::Function> v8::FunctionTemplate::GetFunction(v8::Local<v8::Context>)'
 5947 |   V8_WARN_UNUSED_RESULT MaybeLocal<Function> GetFunction(
      |                                              ^~~~~~~~~~~
/usr/include/node/v8.h:5947:46: note:   candidate expects 1 argument, 0 provided
/builddir/build/BUILD/mraa-2.0.0/src/javascript/CMakeFiles/mraajs.dir/mraajsJAVASCRIPT_wrap.cxx:12418:77: error: no matching function for call to 'v8::FunctionTemplate::GetFunction()'
12418 | v8::Handle<v8::Object> _exports_Led_obj = _exports_Led_class_0->GetFunction();
      |                                                                             ^
In file included from /usr/include/node/node.h:63,
                 from /builddir/build/BUILD/mraa-2.0.0/src/javascript/CMakeFiles/mraajs.dir/mraajsJAVASCRIPT_wrap.cxx:171:
/usr/include/node/v8.h:5947:46: note: candidate: 'v8::MaybeLocal<v8::Function> v8::FunctionTemplate::GetFunction(v8::Local<v8::Context>)'
 5947 |   V8_WARN_UNUSED_RESULT MaybeLocal<Function> GetFunction(
      |                                              ^~~~~~~~~~~
/usr/include/node/v8.h:5947:46: note:   candidate expects 1 argument, 0 provided
make[2]: *** [src/javascript/CMakeFiles/mraajs.dir/build.make:66: src/javascript/CMakeFiles/mraajs.dir/CMakeFiles/mraajs.dir/mraajsJAVASCRIPT_wrap.cxx.o] Error 1
make[1]: *** [CMakeFiles/Makefile2:327: src/javascript/CMakeFiles/mraajs.dir/all] Error 2
make[1]: *** Waiting for unfinished jobs....
.0/src/python/python3 /builddir/build/BUILD/mraa-2.0.0 /builddir/build/BUILD/mraa-2.0.0/src/python/python3 /builddir/build/BUILD/mraa-2.0.0/src/python/python3/CMakeFiles/_python3-mraa.dir/DependInfo.cmake --color=
Scanning dependencies of target mraajs
make[2]: Leaving directory '/builddir/build/BUILD/mraa-2.0.0'
make -f src/javascript/CMakeFiles/mraajs.dir/build.make src/javascript/CMakeFiles/mraajs.dir/build
make[2]: Entering directory '/builddir/build/BUILD/mraa-2.0.0'
Scanning dependencies of target _python3-mraa
make[2]: Leaving directory '/builddir/build/BUILD/mraa-2.0.0'
make -f src/python/python3/CMakeFiles/_python3-mraa.dir/build.make src/python/python3/CMakeFiles/_python3-mraa.dir/build
[ 34%] Building CXX object src/javascript/CMakeFiles/mraajs.dir/CMakeFiles/mraajs.dir/mraajsJAVASCRIPT_wrap.cxx.o
cd /builddir/build/BUILD/mraa-2.0.0/src/javascript && /usr/bin/c++  -Dmraajs_EXPORTS -I/builddir/build/BUILD/mraa-2.0.0/api -I/builddir/build/BUILD/mraa-2.0.0/api/mraa -I/builddir/build/BUILD/mraa-2.0.0/include -I/usr/include/json-c -I/usr/include/node -I/builddir/build/BUILD/mraa-2.0.0/src/javascript/..  -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -Wall -Werror=main -Wformat -Wmain -Wuninitialized -Winit-self -Wnon-virtual-dtor -Woverloaded-virtual -Wreorder -fPIC    -DBUILDING_NODE_EXTENSION -DSWIGJAVASCRIPT=TRUE -std=gnu++11 -o CMakeFiles/mraajs.dir/CMakeFiles/mraajs.dir/mraajsJAVASCRIPT_wrap.cxx.o -c /builddir/build/BUILD/mraa-2.0.0/src/javascript/CMakeFiles/mraajs.dir/mraajsJAVASCRIPT_wrap.cxx
make[2]: Entering directory '/builddir/build/BUILD/mraa-2.0.0'
[ 35%] Building CXX object src/python/python3/CMakeFiles/_python3-mraa.dir/CMakeFiles/_python3-mraa.dir/mraa3PYTHON_wrap.cxx.o
cd /builddir/build/BUILD/mraa-2.0.0/src/python/python3 && /usr/bin/c++  -D_python3_mraa_EXPORTS -I/builddir/build/BUILD/mraa-2.0.0/api -I/builddir/build/BUILD/mraa-2.0.0/api/mraa -I/builddir/build/BUILD/mraa-2.0.0/include -I/usr/include/json-c -I/builddir/build/BUILD/mraa-2.0.0/src/python/python3/../.. -I/usr/include/python3.8  -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -Wall -Werror=main -Wformat -Wmain -Wuninitialized -Winit-self -Wnon-virtual-dtor -Woverloaded-virtual -Wreorder -fPIC   -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -Wall -Werror=main -Wformat -Wmain -Wuninitialized -Winit-self -Werror=implicit -Werror=missing-parameter-type -DONEWIRE=1 -DX86PLAT=1 -DJSONPLAT=1 -DSWIGPYTHON=TRUE -DSWIGPYTHON3=TRUE -o CMakeFiles/_python3-mraa.dir/CMakeFiles/_python3-mraa.dir/mraa3PYTHON_wrap.cxx.o -c /builddir/build/BUILD/mraa-2.0.0/src/python/python3/CMakeFiles/_python3-mraa.dir/mraa3PYTHON_wrap.cxx
make[2]: Leaving directory '/builddir/build/BUILD/mraa-2.0.0'


This error is not related to Python 3.8, but it blocks the 3.8 rebuild.

See a regular scratchbuild failure: https://koji.fedoraproject.org/koji/taskinfo?taskID=35620517

For the build logs with Python 3.8, see:
https://copr-be.cloud.fedoraproject.org/results/@python/python3.8/fedora-rawhide-x86_64/00940764-mraa/

For all our attempts to build mraa with Python 3.8, see:
https://copr.fedorainfracloud.org/coprs/g/python/python3.8/package/mraa/

Testing and mass rebuild of packages for Python 3.8 is happening in copr. You can follow these instructions to test locally in mock if your package builds with Python 3.8:
https://copr.fedorainfracloud.org/coprs/g/python/python3.8/

Let us know here if you have any questions.

Comment 1 Miro Hrončok 2019-06-18 20:40:22 UTC
this might be related to the nodejs update from 1:10.16.0-3.fc31 to 1:12.4.0-1.fc31.

Comment 2 Stephen Gallagher 2019-06-19 11:43:35 UTC
Reported upstream at https://github.com/intel-iot-devkit/mraa/issues/969

Comment 3 Ben Cotton 2019-08-13 17:09:12 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 4 Ben Cotton 2019-08-13 18:35:00 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 5 Miro Hrončok 2019-08-14 22:24:55 UTC
The coordinated rebuild of Python 3.8 has started in the `f32-python` side tag.

If you figure out how to rebuild this package, please don't rebuild it in regular rawhide, but use the side tag instead:

    on branch master:
    $ fedpkg build --target=f32-python

To wait for a build to show up in the side tag, do:

    $ koji wait-repo f32-python --build=<nvr>

Where <nvr> is name-version-release of the source package, e.g. python-foo-1.1-2.fc32.

An updated mock config is posted at:
http://copr.fedorainfracloud.org/coprs/g/python/python3.8/

Note that it will take a while before the essential packages are rebuilt, so don't expect all your dependencies to be available right away.

Thanks. Let us know if you need up to date info, or if you have any questions.



PS this message is mass posted to all the bugs that block the PYTHON38 bug. If this is also a Fedora 31 FTBFS bug and you manage to fix it, you can do a f31 build as usual:

    on branch f31:
    $ fedpkg build

Comment 6 Miro Hrončok 2019-08-21 16:35:42 UTC
The f32-python side tag has been merged. In order to rebuild the package, do it in regular rawhide, but please wait until python3-3.8 is tagged:

  $ koji wait-repo f32-build --build python3-3.8.0~b3-3.fc32


If your built already started in f32-python, after it is finished, please tag it to rawhide with:

  $ koji tag-build f32-pending <nvr>

For example:

  $ koji tag-build f32-pending libreoffice-6.3.0.4-3.fc32

Thanks!

(This comment is mass posted to all bugzillas blocking the PYTHON38 tracking bug.)

Comment 7 Miro Hrončok 2019-08-21 17:29:39 UTC
(Python 3.8 has landed in the rawhide buildroot.)

Comment 8 Fedora Release Engineering 2019-09-22 04:22:39 UTC
Dear Maintainer,

your package has not been built successfully in 31. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 32 according to the schedule [3],
any packages which still have open FTBFS bugs from Fedora 31 will be retired.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/32/Schedule

Comment 9 Peter Robinson 2019-09-22 07:40:53 UTC
Awaiting upstream

Comment 10 Ben Cotton 2020-02-11 15:40:41 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 11 Miro Hrončok 2020-04-05 23:27:05 UTC
AFAIK this is a problem with the nodejs bindings. Since neither the nodejs- nor python3- subpackages of mraa and upm can be installed on Fedora 32, would it make sense to temporarily disable the nodejs- packages in order to rebuild the packages, so at least the python3- ones can be installed?

Comment 12 Björn 'besser82' Esser 2020-04-15 22:19:42 UTC
(In reply to Miro Hrončok from comment #11)
> AFAIK this is a problem with the nodejs bindings. Since neither the nodejs-
> nor python3- subpackages of mraa and upm can be installed on Fedora 32,
> would it make sense to temporarily disable the nodejs- packages in order to
> rebuild the packages, so at least the python3- ones can be installed?

Since the real issue comes from SWIG not supporting Nodejs >= 12, I have disabled the Nodejs package for now and opened a separate bug [1] to keep track of this issue.


[1]  https://bugzilla.redhat.com/show_bug.cgi?id=1824339

Comment 13 Fedora Update System 2020-04-15 22:28:50 UTC
FEDORA-2020-8eea868056 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-8eea868056

Comment 14 Fedora Update System 2020-04-15 22:28:51 UTC
FEDORA-2020-a4f4210b2b has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-a4f4210b2b

Comment 15 Miro Hrončok 2020-04-16 09:15:58 UTC
I'd like the update to be pushed to Fedora 32 stable to avoid broken deps on Python 3.7 in the GA repo.
The current version does not even install.

If the current RC is go, feel free to scratch this.

Comment 16 Peter Robinson 2020-04-16 09:27:08 UTC
(In reply to Miro Hrončok from comment #15)
> I'd like the update to be pushed to Fedora 32 stable to avoid broken deps on
> Python 3.7 in the GA repo.
> The current version does not even install.

Can it go out as a zero day update? I don't believe this is pulled into any of the compose media.

Comment 17 Miro Hrončok 2020-04-16 09:33:20 UTC
It can if the freeze exception would be to dangerous or whatnot. My motivation is not the compose media, but the GA repo (repoqueries and such would return packages dependning on Python 3.7 for the entire lifetime of Fedora 32). It is a minor issue and if QA/releng decides the FE is not worth it, I am fine with that.

Comment 18 Stephen Gallagher 2020-04-16 12:43:57 UTC
I'm +1 FE on this, but right now it looks like RC 1.3 may be accepted as GA. If not, I don't have a problem with this being included in the GA repos.

Comment 19 Miro Hrončok 2020-04-16 13:10:14 UTC
BTW I've added the depended upm package to the F32 bodhi update. My request is meant for both of them together.

Comment 20 Fedora Update System 2020-04-16 19:28:56 UTC
FEDORA-2020-8eea868056 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-8eea868056`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-8eea868056

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 21 František Zatloukal 2020-04-16 21:58:38 UTC
+1 FE, counting 2, setting to AcceptedFE.

Comment 22 Fedora Update System 2020-04-16 22:17:45 UTC
FEDORA-2020-a4f4210b2b has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-a4f4210b2b`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-a4f4210b2b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 23 Fedora Update System 2020-04-23 18:02:22 UTC
FEDORA-2020-8eea868056 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 24 Fedora Update System 2020-04-25 03:01:19 UTC
FEDORA-2020-a4f4210b2b has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.